Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.VersionedTestPastContent

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContent
          rice.p2p.past.testing.PastRegrTest.VersionedTestPastContent

All Implemented Interfaces:
  PastContent, java.io.Serializable

Direct Known Subclasses:
  PastRegrTest.NonOverwritingTestPastContent

Enclosing class:
  PastRegrTest

protected static class PastRegrTest.VersionedTestPastContent
extends PastRegrTest.TestPastContent

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected int` | `version` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`existing, id`

Constructor Summary
`PastRegrTest.VersionedTestPastContent(Id id, int version)` Constructor for VersionedTestPastContent.

Method Summary
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`checkInsert, getHandle, getId, isMutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    protected int version

  DESCRIBE THE FIELD

Constructor Detail

### PastRegrTest.VersionedTestPastContent

    public PastRegrTest.VersionedTestPastContent(Id id,
                                                 int version)

  Constructor for VersionedTestPastContent.

Parameters:
  `id` - DESCRIBE THE PARAMETER
  `version` - DESCRIBE THE PARAMETER

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Overrides:
    `equals` in class `PastRegrTest.TestPastContent`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Overrides:
    `toString` in class `PastRegrTest.TestPastContent`
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.